Get User Invitation Information
POST /obp/v7.0.0/banks/BANK_ID/user-invitations
OBPv4.0.0-getUserInvitationAnonymous No role required User-InvitationKYC
Get User Invitation Information.
User Authentication is Optional. The User need not be logged in.
URL Parameters:
BANK_ID: gh.29.uk
JSON request body fields (1)
- secret_key
- secret_key
JSON response body fields (7)
Example request body
{
"secret_key": 5819479115482093000
}Example success response
{
"first_name": "Tom",
"last_name": "Smith",
"email": "felixsmith@example.com",
"company": "Tesobe GmbH",
"country": "Germany",
"purpose": "DEVELOPER",
"status": ""
}Possible errors (5)
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-30008: User Customer Link not found by USER_ID
- OBP-37882: Cannot get user invitation.
- OBP-37883: Cannot find user invitation.
- OBP-50000: Unknown Error.